package org.eclipse.cosmos.me.sdd.tooling.btg.aggregator.comparisons;

import org.eclipse.cosmos.me.sdd.schema.PropertyValueListType;

public class PropertyValueListCompare
{
//	<PropertyValueListType> 	 	 	 	
//	match 	<PropertyMatchType> 	Yes
//	any 	namespace="##other" 	 ?
//Value 		<VariableExpressionType> 	Yes 
	protected static boolean equals(PropertyValueListType pvs, PropertyValueListType pvs2)
	{
		if (!PropertyMatchCompare.equals(pvs.getMatch(),pvs2.getMatch()))
			return false;
		if (!StringCompare.equalsJAXBList(pvs.getValue(),pvs2.getValue()))
			return false;
		return true;
	}

}
